export const FormColumns = [
  {
    key: "priceName",
    title: "价格名称",
  },
  {
    key: "status",
    title: "状态",
    inputType: "Select",
    referName: "sys_status",
  },
  {
    key: "supplierName",
    title: "供应商",
  },
  {
    key: "puOrgName",
    title: "采购组织",
  },
  {
    key: "currencyName",
    title: "币种",
  },
  {
    key: "explainStr",
    title: "价格合理性说明",
  },
  {
    key: "buyerName",
    title: "采购员",
  },
  {
    key: "puDeptName",
    title: "采购部门",
  },
  {
    key: "file",
    title: "附件",
    inputType: "Upload",
  },
  {
    key: "createByName",
    title: "创建人",
  },
  {
    key: "source",
    title: "来源单据号",
  },
  {
    key: "id",
    title: "来源单据id",
  },
  {
    key: "isEffective",
    title: "是否已推价格",
    inputType: "Select",
    referName: "is_effective",
  },
  {
    key: "effectiveDate",
    title: "生效日期",
  },
  {
    key: "sourceType",
    title: "来源单据类型",
  },
  {
    key: "status",
    title: "单据状态",
  },
];

export const SearchColumns = [
  {
    key: "supplierName",
    title: "供应商",
    inputType: "PopoverSelect",
    referName: "SUPPLIER_PARAM",
    dataMapping: {
      supplier: "code",
      supplierName: "name",
    },
  },
  {
    key: "puOrgName",
    title: "采购组织",
    inputType: "PopoverSelect",
    referName: "ORG_PARAM",
    dataMapping: {
      puOrg: "code",
      puOrgName: "name",
    },
  },
  {
    key: "buyerName",
    title: "采购员",
    inputType: "PopoverSelect",
    referName: "CONTACTS_PARAM",
    dataMapping: {
      buyer: "code",
      buyerName: "name",
    },
  },
  {
    key: "currencyName",
    title: "币种",
    inputType: "PopoverSelect",
    referName: "CURRENCY_PARAM",
    dataMapping: {
      currency: "code",
      currencyName: "name",
    },
  },
  {
    key: "puDeptName",
    title: "采购部门",
    inputType: "PopoverSelect",
    referName: "DEPT_PARAM",
    dataMapping: {
      puDept: "code",
      puDeptName: "name",
    },
  },
  {
    key: "isEffective",
    title: "是否推价",
    inputType: "Select",
    referName: "is_effective",
    clearable: true,
  },
  {
    key: "status",
    title: "状态",
    inputType: "Select",
    referName: "sys_status",
    clearable: true,
  },
];
