import { REFER } from "@/components/popover-select/api";
import { EXIST } from "@/api/business/purchase/catalogue";
import { ITEM } from "@/api/business/purchase/apply";

const fetchTax = async (prop) => {
  try {
    // try
    const { code, rows } = await REFER({
      search: prop,
      type: "TAX_RATE_PARAM",
    });
    if (code === 200) {
      return rows[0] || {};
    }
  } catch (err) {
    // catch
    console.error(err);
  } finally {
    // finally
  }
};

const fetchUnit = async (prop) => {
  try {
    // try
    const { code, rows } = await REFER({
      search: prop,
      type: "UNIT_PARAM",
    });
    if (code === 200) {
      return rows[0] || {};
    }
  } catch (err) {
    // catch
    console.error(err);
  } finally {
    // finally
  }
};

const fetchExist = async (prop) => {
  try {
    // try
    const { code, data } = await EXIST(prop);
    if (code === 200) return data;
  } catch (err) {
    // catch
    console.error(err);
  } finally {
    // finally
  }
};

export default function useMethods() {
  const fetchItem = async ({ _this, prop }) => {
    try {
      // try
      _this.loading = true;
      const { code, data } = await ITEM(prop);
      if (code === 200) {
        return data;
      }
    } catch (err) {
      // catch
      console.error(err);
    } finally {
      // finally
      _this.loading = false;
    }
  };
  const fetchRefer = async ({ _this, prop, type, source }) => {
    if (type === "MATERIAL_PARAM") {
      const { puOrg, customer, supplier } = _this.params;
      const { rateCode, unitIdName, code: materialCode } = prop;
      // task 1
      fetchTax(rateCode).then(({ ntaxrate }) => {
        source.tax = ntaxrate === "0E-8" ? "0.00000000" : ntaxrate;
      });
      // task 2
      fetchUnit(unitIdName).then(({ id, code, name }) => {
        source.unit = id;
        source.unitCode = code;
        source.unitName = name;
        source.puUnit = id;
        source.puUnitCode = code;
        source.puUnitName = name;
      });
      // task 3
      fetchExist({ puOrg, customer, supplier, materialCode }).then(
        ({ recentlyPrice, isApprovalFirst, isPriceAdjustment }) => {
          source.recentlyPrice = recentlyPrice;
          source.isApprovalFirst = isApprovalFirst;
          source.isPriceAdjustment = isPriceAdjustment;
        }
      );
    }
  };

  return {
    fetchItem,
    fetchRefer,
  };
}
